@echo off

rem Start components depending upon what sort of configuration is being run, as
rem follows...
rem
rem   Configuration       Components to start
rem
rem                                  SNA      TCP/IP
rem                       Scheduler  Network  Network   DACA
rem                                  Gateway  Gateway
rem
rem   Client                                             X
rem   Base running SNA    X          X                   X
rem   Base running TCP/IP X                     X        X
rem   Base running both   X          X          X        X
rem   Server no comms     X                              X
rem   Server with comms   X          X                   X
rem   over SNA
rem   Server with comms   X                     X        X
rem   over TCP/IP
rem   Server with comms   X          X          X        X
rem   over both
rem

set  logfile=%fndcfg%\fndstart.out
echo Starting Product with option %1                 > %logfile% 2>&1

set delay=10
if "%FNDITRC%" == "0" set delay=50
if "%FNDITRC%" == "1" set delay=20

if %1==CLIENT     goto CLI
if %1==BASESNA    goto BASESNA
if %1==BASETCPIP  goto BASETCP
if %1==BASESNATCP goto BASESNATCP
if %1==NOCOMM     goto SRVNOCOMM
if %1==COMMSNA    goto SRVCOMMSNA
if %1==COMMTCPIP  goto SRVCOMMTCP
if %1==COMMSNATCP goto SRVCOMMSNATCP

:TBD
echo Tried to start with unsupported option '%1'
echo Tried to start with unsupported option '%1'     >> %logfile% 2>>&1
goto end

:CLI
start /b "Software Distribution Agent" fndcmps.exe
goto end

:SRVNOCOMM
start /b fndrhmn.exe
fndsleep %delay%
start /b fndschd.exe
fndsleep %delay%
start /b "Software Distribution Agent" fndcmps.exe
goto end

:BASESNA
:SRVCOMMSNA
rem
start tpstart.exe                                    >> nul       2>>&1
fndsleep %delay%
fndlock tpstart                                      >> %logfile% 2>>&1
if not errorlevel 2 goto snafailure
start /b fndrhmn.exe
fndsleep %delay%
start /b fndschd.exe
fndsleep %delay%
start /b fndtc.exe
fndsleep %delay%
start /b "Software Distribution Agent" fndcmps.exe
goto end

:BASETCP
:SRVCOMMTCP
rem
start /b fndrhmn.exe
fndsleep %delay%
start /b fndschd.exe
fndsleep %delay%
rem start /b fndtcp.exe
rem fndsleep %delay%
rem start /b fndtcpl.exe NetViewDM-rcv TCP_RCVE
rem fndsleep %delay%
rem start /b fndtcpl.exe NetViewDM-snd TCP_SEND
rem fndsleep %delay%
start /b "Software Distribution Agent" fndcmps.exe
goto end

:BASESNATCP
:SRVCOMMSNATCP
rem
start tpstart.exe                                    >> nul       2>>&1
fndsleep %delay%
fndlock tpstart                                      >> %logfile% 2>>&1
if not errorlevel 2 goto snafailure
start /b fndrhmn.exe
fndsleep %delay%
start /b fndschd.exe
fndsleep %delay%
start /b fndtc.exe
fndsleep %delay%
rem start /b fndtcp.exe
rem fndsleep %delay%
rem start /b fndtcpl.exe NetViewDM-rcv TCP_RCVE
rem fndsleep %delay%
rem start /b fndtcpl.exe NetViewDM-snd TCP_SEND
rem fndsleep %delay%
start /b "Software Distribution Agent" fndcmps.exe
goto end

:snafailure
echo Product Configuration requires MS-SNA Server
echo Product Configuration requires MS-SNA Server    >> %logfile% 2>>&1
exit 2


:end
